GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_color_space
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
detail::tvec3< T, P > | hsvColor (detail::tvec3< T, P > const &rgbValue)
template<typename T , precision P>
T | luminosity (detail::tvec3< T, P > const &color)
template<typename T , precision P>
detail::tvec3< T, P > | rgbColor (detail::tvec3< T, P > const &hsvValue)
template<typename T , precision P>
detail::tmat4x4< T, P > | saturation (T const s)
template<typename T , precision P>
detail::tvec3< T, P > | saturation (T const s, detail::tvec3< T, P > const &color)
template<typename T , precision P>
detail::tvec4< T, P > | saturation (T const s, detail::tvec4< T, P > const &color)

## Detailed Description

Related to RGB to HSV conversions and operations.

<glm/gtx/color_space.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tvec3<T, P> glm::hsvColor | ( | detail::tvec3< T, P > const & | rgbValue | ) |

Converts a color from RGB color space to its color in HSV color space.

See Also
  GLM_GTX_color_space

T glm::luminosity | ( | detail::tvec3< T, P > const & | color | ) |

Compute color luminosity associating ratios (0.33, 0.59, 0.11) to RGB canals.

See Also
  GLM_GTX_color_space

detail::tvec3<T, P> glm::rgbColor | ( | detail::tvec3< T, P > const & | hsvValue | ) |

Converts a color from HSV color space to its color in RGB color space.

See Also
  GLM_GTX_color_space

detail::tmat4x4<T, P> glm::saturation | ( | T const | s | ) |

Build a saturation matrix.

See Also
  GLM_GTX_color_space

detail::tvec3<T, P> glm::saturation | ( | T const | s,
|  | detail::tvec3< T, P > const & | color
| ) |  |

Modify the saturation of a color.

See Also
  GLM_GTX_color_space

detail::tvec4<T, P> glm::saturation | ( | T const | s,
|  | detail::tvec4< T, P > const & | color
| ) |  |

Modify the saturation of a color.

See Also
  GLM_GTX_color_space